var Helpers = {
    setCookie: function(cname, cvalue, exdays) {
        var d = new Date();
        d.setTime(d.getTime() + (exdays*24*60*60*1000));
        var expires = "expires="+ d.toUTCString();
        document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
    },
    getCookie: function(cname) {
        var name = cname + "=";
        var decodedCookie = decodeURIComponent(document.cookie);
        var ca = decodedCookie.split(';');
        for(var i = 0; i <ca.length; i++) {
            var c = ca[i];
            while (c.charAt(0) === ' ') {
                c = c.substring(1);
            }
            if (c.indexOf(name) === 0) {
                return c.substring(name.length, c.length);
            }
        }
        return "";
    },
    IntervalId: null,
    scrollStep: function(scrollTo) {

        if (window.pageYOffset <= scrollTo) {
            clearInterval(window.IntervalId);
        }
      
        window.scroll(0, window.pageYOffset - 30);
    },
    scrollToTop: function() {
        this.IntervalId = setInterval(this.scrollStep, 20, 0);
    },
    scrollTo: function(classname){
        var toTop = document.getElementsByClassName(classname)[0].offsetTop - document.getElementsByClassName("top")[0].offsetHeight;
        var obj = this;
        window.IntervalId = setInterval(function() { obj.scrollStep(toTop); }, 20);
    }
};

                